curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>Identifier of the node for which to retrieve scheduled snapshots
Example
<NODE_ID>Filter snapshots by the type of resource they belong to
Example
nodeAPI key used to authenticate the request
Example
<API_KEY>Specifies the E2E Myaccount region for the scheduled snapshot.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code of the scheduled snapshot response
object
Unique identifier of the scheduled snapshot
Identifier for the scheduled snapshot timeline
Unique identifier of the snapshot resource
Type of the resource for which the snapshot is scheduled
Delay before the snapshot is created
Number of days after which the scheduled snapshot will be deleted
Timestamp when the snapshot was deleted, or null if not deleted
object
Status message indicating the result of the snapshot operation.
Example
{ "code": 200, "data": { "id": "9591023453-528f-65a2-4fb7-3ae4b23b8bb8", "time_line": "1", "resource_id": 12345, "resource_type": "node", "create_after": 1, "delete_after": 7 }, "message": "Success"}